Bug 459801 - -G option of ipa-adduser doesn't work.
-G option of ipa-adduser doesn't work.
Status: CLOSED ERRATA
Product: freeIPA
Classification: Community
Component: ipa-admintools (Show other bugs)
1.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rob Crittenden
Chandrasekar Kannan
:
Depends On:
Blocks: 453489
  Show dependency treegraph
 
Reported: 2008-08-22 09:50 EDT by Gian-Luca Dei Rossi
Modified: 2015-01-04 18:33 EST (History)
4 users (show)

See Also:
Fixed In Version: freeipa-2.0.0-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-27 03:14:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gian-Luca Dei Rossi 2008-08-22 09:50:44 EDT
Description of problem:
The -G option of ipa-adduser doesn't work: it cannot find any existent group.


Version-Release number of selected component (if applicable):
FreeIPA 1.1, RPM version: ipa-admintools-1.1.0-4.fc9.x86_64


How reproducible:
find an existent group via ipa-findgroup, then add an user, e.g.:
ipa-finduser studenti
ipa-adduser -G studenti prova2

Actual results:
group studenti doesn't exist, skipping
prova2 successfully added

Expected results:
The new user should be added to the existent group.
Comment 1 Martin Nagy 2008-09-16 19:26:22 EDT
master: f33c57e6f811f97dfe7867420d97ec90a545c1ca
Comment 2 Jenny Galipeau 2008-11-18 16:51:59 EST
Fix verified:
ipa-adduser -G option is working, user is added and is a member or the group.

[root@jennyv3 ~]# ipa-adduser -G test tester
First name: Jenny
Last name: Test
tester successfully added


[root@jennyv3 ~]# ipa-finduser -a tester
dn: uid=tester,cn=users,cn=accounts,dc=bos,dc=redhat,dc=com
Full Name: Jenny Test
GECOS: tester
GID: 1002
First Name: Jenny
Last Name: Test
Home Directory: /home/tester
krbprincipalname: tester@BOS.REDHAT.COM
Login Shell: /bin/bash
memberof: 
        cn=ipausers,cn=groups,cn=accounts,dc=bos,dc=redhat,dc=com
        cn=test,cn=groups,cn=accounts,dc=bos,dc=redhat,dc=com
objectclass: 
        top
        person
        organizationalPerson
        inetOrgPerson
        inetUser
        posixAccount
        krbPrincipalAux
        radiusprofile
Login: tester
UID: 1103

Note You need to log in before you can comment on or make changes to this bug.